dofile('data/Scenes/13_balkony_Anim_head.lua')

PATH_COMICS_13_ON_SHOWN              = 'data/Scenes/Comics/HelpersComicsReplic.lua'
PATH_COMICS_13_ON_WIN                = 'data/Scenes/Comics/HelpersComicsReplic.lua'
PATH_COMICS_13_HEAD                  = 'data/Scenes/Comics/HelpersComicsReplic.lua'
PATH_COMICS_13_DOOR                  = 'data/Scenes/Comics/HelpersComicsReplic.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())

    local pf = play_field
    local level = pf:GetLevelScreen()
    
    ---------------------------------------------------------------------------------------------
    AddRandomTasks(14,
                   CreateTask('ANCHOR', '', 'anchor'),
                   CreateTask('BOAT', '', 'boat'),
                   CreateTask('CHALICE', '', 'bowl'),
				   CreateTask('CLOVER_LEAF', 'CLOVER_LEAVES', 'clover1'),
                   CreateTask('COCONUT', '', 'coconut'),
				   CreateTask('COW', '', 'cow'),
				   CreateTask('CHERRIES', '', 'cherry'),
                   CreateTask('DRUM', '', 'drum'),
                   CreateTask('DUCK', '', 'duck'),
                   CreateTask('FAN', 'FANS', 'fan', 'fan1', 'fan2', 'fan3', 'fan4'),
                   CreateTask('FISH', 'FISH', 'fish', 'fish2'),
                   CreateTask('FLY', '', 'fly'),
				   CreateTask('GLASSES', '', 'glasses'),
                   CreateTask('HORSESHOE', 'HORSESHOES', 'horse_shoe', 'horseshoe2', 'horseshoe3'),
                   CreateTask('JEANS', '', 'jeans'),
                   CreateTask('KEYS', '', 'keys'),
				   CreateTask('PADLOCK', 'PADLOCKS', 'padlock1', 'padlock2', 'padlock3', 'padlock4', 'padlock5', 'padlock6'),
                   CreateTask('PEAR', '', 'pear'),
                   CreateTask('PEPPER', 'PEPPERS', 'pepper', 'pepper2'),
                   CreateTask('PINE_CONE', '', 'strobile'),
                   CreateTask('BERRIES', '', 'berry'),
                   CreateTask('CENTIPEDE', '', 'centipede'),
                   CreateTask('PIN', '', 'pin'),
                   CreateTask('DANDELION', '', 'dandelion'),
                   CreateTask('FUNGI', '', 'fungi'),
                   CreateTask('MUG', '', 'mug'),
                   CreateTask('SKULL', 'SKULLS', 'skull', 'skull2'),
                   CreateTask('CUP', '', 'cup')
                   )
    ---------------------------------------------------------------------------------------------
    local anim_head = createCompositionBalcony_bez_doski_fon()
    anim_head:AttachTo(screen)
    anim_head:SetZ(80)
    anim_head:SetDestroysOnEnd(false)
    ---------------------------------------------------------------------------------------------
    zone_threshold = CreateZoomZone('close_zone_threshold',
                                    'pixel_open_threshold',
                                    'threshold_bg',
                                    'saw',
                                    'dandelion',
                                    'fungi',
                                    'mug',
                                    'skull'
                                   )
    local threshold_bg = pf:GetObject('threshold_bg')
    pf:GetObject('skull'):SetClippingRect(threshold_bg:GetX() - threshold_bg:GetAnimation():GetHotX(), 
                                          threshold_bg:GetY() - threshold_bg:GetAnimation():GetHotY(),
                                          640, 480)
    ---------------------------------------------------------------------------------------------
    zone_roof = CreateZoomZone('close_zone_roof',
                               '', -- pixel_open_roof
                               'roof_bg',
                               'key',
                               'berry',
                               'centipede',
                               'pin'
                              );
    ---------------------------------------------------------------------------------------------
    local photo_action_saw = function()
                             end
    local apply_action_saw = function(save)
                                if save then
                                    anim_head:Rewind(true)
                                    RegisterZoomZone(zone_roof, 'pixel_open_roof')
                                else
                                    anim_head:Play()
                                    local length_anim_head = anim_head:GetDuration()
                                    TimerDo(pf:GetTimer(), length_anim_head, function()
                                                                                RegisterZoomZone(zone_roof, 'pixel_open_roof')
                                                                             end)
                                    PlaySound('13_fall_head')
                                end
                             end
    local photo_saw = CreatePhotoZoneEx('saw', 'saw_tool', 'SAW', 'photo_saw', photo_action_saw, 'pixel_action_saw', apply_action_saw)
    level:GetTask('saw'):SetUse(true)
    ---------------------------------------------------------------------------------------------
    pf:GetObject('door_open'):SetOpacity(0)
    local photo_action_key = function()
                             end
    local apply_action_key = function(save)
                                local TimeOpenDoor = 0.3
    
                                if save then
                                    pf:GetObject('door_open'):SetOpacity(1)
                                    pf:GetObject('door_close'):SetOpacity(0)
                                else
                                    pf:GetObject('door_open'):ChangeOpacity(0, 1, TimeOpenDoor)
                                    pf:GetObject('door_close'):ChangeOpacity(1, 0, TimeOpenDoor)
                                    
                                    PlaySound('13_open_door')
                                end
                                
                                TimerDo(pf:GetTimer(), TimeOpenDoor + 0.5, OnWin)
                             end
    local photo_key = CreatePhotoZone('key', 'KEY', 'photo_key', photo_action_key, 'pixel_open_door', apply_action_key)
    level:GetTask('key'):SetUse(true)
    ---------------------------------------------------------------------------------------------
    game_state.chain_on_shown = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_13_ON_SHOWN, 'COMICS_13_ON_SHOWN')
                                                 end )
    game_state.chain_on_head = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_13_HEAD, 'COMICS_13_HEAD')
                                                 end )
    SetHintComicsPhotoZoneEx(photo_saw, game_state.chain_on_head)
    game_state.chain_on_door = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_13_DOOR, 'COMICS_13_DOOR')
                                                 end )
    SetHintComicsPhotoZoneEx(photo_key, game_state.chain_on_door)
    game_state.chain_on_win = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_13_ON_WIN, 'COMICS_13_ON_WIN')
                                                 end )                                       
    game_state.chain_on_win.OnHidden = function()
        OnWinLevel()
    end
    ---------------------------------------------------------------------------------------------
end

function OnSceneFree()
    FreeData()
end

function OnHiddenComics(comics)
end

function OnScreenShown(fade_out)
    if fade_out then
        game_state.chain_on_shown.Play()
    end
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnWin()
    if play_field:GetLevelScreen():IsCompleteLevel() and
       play_field:GetObject('door_open'):GetOpacity() == 1.
    then
--        game_state.chain_on_win.Play()
        OnWinLevel()
    end
end

function OnLose()
end

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object);
    
    return is_wrong_click;
end

function OnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
    
    if object:GetName() == 'skull' then
        object:ResetClippingRect()
    end
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object);
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Layer/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/anchor.png',0,0,56,57,1,0)
	anim:SetHotSpot(28,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('anchor',anim,987,108,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/bowl.png',0,0,112,54,1,0)
	anim:SetHotSpot(56,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bowl',anim,488,733,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/coconut.png',0,0,65,36,1,0)
	anim:SetHotSpot(32,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('coconut',anim,307,589,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/drum.png',0,0,75,77,1,0)
	anim:SetHotSpot(37,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('drum',anim,744,451,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/fan.png',0,0,98,57,1,0)
	anim:SetHotSpot(49,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fan',anim,286,709,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/fish.png',0,0,67,52,1,0)
	anim:SetHotSpot(33,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fish',anim,405,327,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/fly.png',0,0,31,36,1,0)
	anim:SetHotSpot(15,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fly',anim,898,220,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/horse_shoe.png',0,0,32,34,1,0)
	anim:SetHotSpot(16,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('horse_shoe',anim,926,329,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/jeans.png',0,0,49,95,1,0)
	anim:SetHotSpot(24,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('jeans',anim,263,391,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/pear.png',0,0,43,45,1,0)
	anim:SetHotSpot(21,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pear',anim,984,463,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/pepper.png',0,0,54,49,1,0)
	anim:SetHotSpot(27,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pepper',anim,745,737,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/strobile.png',0,0,39,33,1,0)
	anim:SetHotSpot(19,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('strobile',anim,867,183,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Layer/boat_layer.png',0,0,78,64,1,0)
	anim:SetHotSpot(39,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('boat_layer',anim,397,479,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_threshold',anim,782,582,110,0,19,14)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/ZoomThreshold/threshold_bg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('threshold_bg',anim,512,384,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_roof',anim,326,307,110,0,9,9)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/ZoomRoof/roof_bg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('roof_bg',anim,512,384,700,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/ZoomRoof/key.png',0,0,46,47,1,0)
	anim:SetHotSpot(23,23)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('key',anim,461,401,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/ZoomRoof/Items/berry.png',0,0,125,108,1,0)
	anim:SetHotSpot(62,54)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('berry',anim,771,260,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/ZoomRoof/Items/centipede.png',0,0,78,62,1,0)
	anim:SetHotSpot(39,31)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('centipede',anim,383,530,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/ZoomRoof/Items/pin.png',0,0,51,77,1,0)
	anim:SetHotSpot(25,38)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pin',anim,360,298,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/ZoomThreshold/saw.png',0,0,208,298,1,0)
	anim:SetHotSpot(104,149)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('saw',anim,515,478,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/photo/photo_key.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('photo_key',anim,99,604,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/photo/photo_saw.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('photo_saw',anim,95,607,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/ZoomThreshold/saw_tool.png',0,0,116,173,1,0)
	anim:SetHotSpot(58,86)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('saw_tool',anim,77,663,1000,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_action_saw',anim,559,267,100,0,8,11)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/ZoomThreshold/items/dandelion.png',0,0,49,69,1,0)
	anim:SetHotSpot(24,34)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('dandelion',anim,732,434,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/ZoomThreshold/items/fungi.png',0,0,76,63,1,0)
	anim:SetHotSpot(38,31)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('fungi',anim,262,208,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/ZoomThreshold/items/mug.png',0,0,73,58,1,0)
	anim:SetHotSpot(36,29)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('mug',anim,673,557,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/ZoomThreshold/items/skull.png',0,0,95,50,1,0)
	anim:SetHotSpot(47,25)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('skull',anim,221,389,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Layer/door_open.png',0,0,51,198,1,0)
	anim:SetHotSpot(25,99)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('door_open',anim,869,376,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Layer/door_close.png',0,0,69,164,1,0)
	anim:SetHotSpot(34,82)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('door_close',anim,865,374,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_door',anim,866,373,140,0,9,18)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/duck.png',0,0,78,43,1,0)
	anim:SetHotSpot(39,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('duck',anim,645,282,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/boat.png',0,0,143,67,1,0)
	anim:SetHotSpot(71,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('boat',anim,403,464,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/animation/myraxu.png',0,0,273,46,26,10)
	anim:SetHotSpot(136,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('myraxu',anim,642,749,99,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/animation/ptic.png',0,0,190,33,37,10)
	anim:SetHotSpot(95,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ptic',anim,384,59,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/animation/travka.png',0,0,189,153,19,10)
	anim:SetHotSpot(94,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('travka',anim,929,688,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/cherry.png',0,0,58,71,1,0)
	anim:SetHotSpot(29,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cherry',anim,237,511,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/clover1.png',0,0,56,50,1,0)
	anim:SetHotSpot(28,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clover1',anim,438,147,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/cow.png',0,0,80,74,1,0)
	anim:SetHotSpot(40,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cow',anim,742,234,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/cup.png',0,0,37,34,1,0)
	anim:SetHotSpot(18,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cup',anim,247,276,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/fan1.png',0,0,60,66,1,0)
	anim:SetHotSpot(30,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fan1',anim,576,143,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/fan2.png',0,0,53,39,1,0)
	anim:SetHotSpot(26,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fan2',anim,504,383,72,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/fan3.png',0,0,68,48,1,0)
	anim:SetHotSpot(34,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fan3',anim,959,396,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/fan4.png',0,0,75,47,1,0)
	anim:SetHotSpot(37,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fan4',anim,787,681,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/fish2.png',0,0,33,62,1,0)
	anim:SetHotSpot(16,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fish2',anim,616,347,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/glasses.png',0,0,56,40,1,0)
	anim:SetHotSpot(28,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glasses',anim,820,741,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/horseshoe2.png',0,0,46,51,1,0)
	anim:SetHotSpot(23,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('horseshoe2',anim,228,168,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/horseshoe3.png',0,0,40,41,1,0)
	anim:SetHotSpot(20,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('horseshoe3',anim,611,422,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/padlock1.png',0,0,32,45,1,0)
	anim:SetHotSpot(16,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('padlock1',anim,966,243,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/padlock2.png',0,0,34,42,1,0)
	anim:SetHotSpot(17,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('padlock2',anim,664,437,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/padlock3.png',0,0,36,37,1,0)
	anim:SetHotSpot(18,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('padlock3',anim,259,586,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/padlock4.png',0,0,31,41,1,0)
	anim:SetHotSpot(15,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('padlock4',anim,333,678,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/padlock5.png',0,0,40,44,1,0)
	anim:SetHotSpot(20,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('padlock5',anim,252,752,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/padlock6.png',0,0,28,43,1,0)
	anim:SetHotSpot(14,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('padlock6',anim,989,522,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/pepper2.png',0,0,47,36,1,0)
	anim:SetHotSpot(23,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pepper2',anim,937,460,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_balcony_/Items/skull.png',0,0,37,47,1,0)
	anim:SetHotSpot(18,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('skull2',anim,742,392,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
